BUF_TIMELOCK(9)

NAME
BUF_TIMELOCK - locks a buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/uio.h>
#include <sys/bio.h>
#include <sys/buf.h>
int
BUF_TIMELOCK(struct buf *bp, int locktype, char *wmesg, int catch, int timo);

DESCRIPTION
The BUF_TIMELOCK() function locks the given buffer, and limits the amount of time it will sleep to timo and OR's catch into the sleep's priority. wmesg is the wmesg used in the sleep.

Its arguments are:

bp  The buffer to lock.

locktype
    Flags controlling the type of lock. See lockmgr(9) for details.

wmesg
    The wmesg used in any sleeps while acquiring the lock.

catch
    Priority OR'd into the sleep's priority.

timo
    The timeout for any sleeps encountered during the lock.

RETURN VALUES
A value of 0 is returned on success. See lockmgr(9) for details on non-zero return values.

SEE ALSO
buf(9), BUF_LOCK(9), BUF_UNLOCK(9), lockmgr(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.